BIO_ADD_PAGE(9)

NAME
bio_add_page - attempt to add page to bio

SYNOPSIS

int bio_add_page(struct bio * bio, struct page * page, unsigned int len, unsigned int offset);

ARGUMENTS

bio
    destination bio

page
    page to add

len
    vec entry length

offset
    vec entry offset

DESCRIPTION

Attempt to add a page to the bio_vec maplist. This can fail for a number of reasons, such as the bio being full or target block device limitations. The target block device must allow bio's up to PAGE_SIZE, so it is always possible to add a single page to an empty bio.

COPYRIGHT